Debian Bug report logs - #609853
iputils-ping: ping prints icmp_req instead of icmp_seq

version graph

Package: iputils-ping; Maintainer for iputils-ping is Noah Meyerhans <noahm@debian.org>; Source for iputils-ping is src:iputils.

Reported by: alex <alex@massive.ch>

Date: Thu, 13 Jan 2011 04:39:02 UTC

Severity: normal

Tags: upstream

Found in version iputils/3:20100418-3

Fixed in version iputils/3:20121221-1

Done: <noahm@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Noah Meyerhans <noahm@debian.org>:
Bug#609853; Package iputils-ping. (Thu, 13 Jan 2011 04:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to alex <alex@massive.ch>:
New Bug report received and forwarded. Copy sent to Noah Meyerhans <noahm@debian.org>. (Thu, 13 Jan 2011 04:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: alex <alex@massive.ch>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: iputils-ping: ping prints icmp_req instead of icmp_seq
Date: Thu, 13 Jan 2011 05:27:55 +0100
Package: iputils-ping
Version: 3:20100418-3
Severity: normal
Tags: upstream


After upgrade from lenny to squeeze, ping starts reporting "icmp_req=..." instead of
the "icmp_seq=...".

Sample output (broken on squeeze):
squeeze$ ping localhost
...
64 bytes from localhost (127.0.0.1): icmp_req=1 ttl=64 time=0.058 ms

Sample output (ok on lenny):
...
64 bytes from localhost (127.0.0.1): icmp_seq=1 ttl=64 time=0.044 ms

The typo lies in ping.c/pr_echo_reply(). For history/upstream report, have a look at
upstream's commit d5e3dcb81ff3828fa40eb4e8c562ca7015d7ac6a on 2010-04-08.

As ping output may be parsed, I do not file this with Severity:minor.
I just found related bug 606062 while digging for references. Report includes a workaround
for cacti, but as ping's output change doesn't seem justified, it seems better to revert to
printing "icmp_seq" in iputils.


-- System Information:
Debian Release: 6.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.32-5-xen-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages iputils-ping depends on:
ii  libc6                         2.11.2-7   Embedded GNU C Library: Shared lib
ii  libssl0.9.8                   0.9.8o-4   SSL shared libraries

iputils-ping recommends no packages.

iputils-ping suggests no packages.

-- no debconf information




Reply sent to <noahm@debian.org>:
You have taken responsibility. (Wed, 15 May 2013 07:21:16 GMT) Full text and rfc822 format available.

Notification sent to alex <alex@massive.ch>:
Bug acknowledged by developer. (Wed, 15 May 2013 07:21:17 GMT) Full text and rfc822 format available.

Message #10 received at 609853-close@bugs.debian.org (full text, mbox):

From: <noahm@debian.org>
To: 609853-close@bugs.debian.org
Subject: Bug#609853: fixed in iputils 3:20121221-1
Date: Wed, 15 May 2013 07:17:51 +0000
Source: iputils
Source-Version: 3:20121221-1

We believe that the bug you reported is fixed in the latest version of
iputils, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 609853@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
noahm@debian.org (supplier of updated iputils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 14 May 2013 23:59:05 -0700
Source: iputils
Binary: iputils-ping iputils-tracepath iputils-arping iputils-clockdiff
Architecture: source amd64
Version: 3:20121221-1
Distribution: unstable
Urgency: low
Maintainer: Noah Meyerhans <noahm@debian.org>
Changed-By: noahm@debian.org
Description: 
 iputils-arping - Tool to send ICMP echo requests to an ARP address
 iputils-clockdiff - Measure the time difference between networked computers
 iputils-ping - Tools to test the reachability of network hosts
 iputils-tracepath - Tools to trace the network path to a remote host
Closes: 609853 627650
Changes: 
 iputils (3:20121221-1) unstable; urgency=low
 .
   * New upstream version
   * Replace libsysfs-dev with libcap-dev in build-deps (Closes: 627650, 609853)
   * Replace libssl-dev with gnutls-dev in build-deps
   * Remove obsolete debian/patches/fix-dead-host-ping-stats.diff
   * Remove obsolete debian/patches/add-icmp-return-codes.diff
   * Remove obsolete patch cleanup-docbook-formatting.diff
   * Remove obsolete patch fix_rfc4620_nodeinfo_queries
Checksums-Sha1: 
 c93c3893e95fb7f61e624b0a0f1a410727bf3733 1373 iputils_20121221-1.dsc
 4d56d8c75d6a5d58f052e4056e975f01ebab9ba9 155344 iputils_20121221.orig.tar.bz2
 a6aad198a77362d35bc8a9511cb4438b30c252df 11167 iputils_20121221-1.debian.tar.gz
 71670304f23c00dc51cbacdaeecb872bcc5ceb7e 67486 iputils-ping_20121221-1_amd64.deb
 1b1ea6d8e96cf4c129afd6600b328674f257483c 38544 iputils-tracepath_20121221-1_amd64.deb
 b6775ca27ffc1df871c76a3b36dd5678dd5b2b48 29994 iputils-arping_20121221-1_amd64.deb
 55106254c4dfb3b0ffeb510b80304eb7a28a7b17 27864 iputils-clockdiff_20121221-1_amd64.deb
Checksums-Sha256: 
 96527989ceb18ee417b0640170ac3ca8932f3c1549c5e2256d9b9ad56af968c7 1373 iputils_20121221-1.dsc
 450f549fc5b620c23c5929aa6d54b7ddfc7ee1cb1e8efdc5e8bb21d8d0c5319f 155344 iputils_20121221.orig.tar.bz2
 d40ab774a97d96bf34f29b9e74d69bcf0d9e626dbd1529ebfda4855802f3ccc5 11167 iputils_20121221-1.debian.tar.gz
 97a5bd6047c69186841b47e4a014fc195e9771ef04ea35b664d766709349d6ed 67486 iputils-ping_20121221-1_amd64.deb
 b4d3350f6f5e3fb66ed1857e656fa22f93f92f416b733b610516fc904e9cf592 38544 iputils-tracepath_20121221-1_amd64.deb
 3b8c2888c1035f4bc570147f80732d0418d13ed61e82f841c727e2b3f60e176e 29994 iputils-arping_20121221-1_amd64.deb
 6d36c1fb84ae317d236919ab510ccd239e6bdacb6e197ed5d6775cd150757a93 27864 iputils-clockdiff_20121221-1_amd64.deb
Files: 
 995a3af0f0a9686feef41f09152bd62e 1373 net extra iputils_20121221-1.dsc
 6072aef64205720dd1893b375e184171 155344 net extra iputils_20121221.orig.tar.bz2
 91d2438679f1b6115805fe28bb27b95a 11167 net extra iputils_20121221-1.debian.tar.gz
 b114fd109a5966076218a31c8b6cb2a8 67486 net important iputils-ping_20121221-1_amd64.deb
 2a1a82f159c78f89615b20220aaaec16 38544 net optional iputils-tracepath_20121221-1_amd64.deb
 49fbc804201dd72193dc43be106655cb 29994 net extra iputils-arping_20121221-1_amd64.deb
 c67f4520817055e27eee90b305827781 27864 net extra iputils-clockdiff_20121221-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFRkzSyYrVLjBFATsMRAgZpAJ9Xb61njFEv39rsFtrYued7e/EsDQCfRl7t
hFCzVATOU5dsOOwn+jMYyxo=
=uyrL
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 22 Jun 2013 07:31:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:15:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.